org.apache.ignite.ml.nn.architecture

## Class TransformationLayerArchitecture

- java.lang.Object
- - org.apache.ignite.ml.nn.architecture.LayerArchitecture
  - - org.apache.ignite.ml.nn.architecture.TransformationLayerArchitecture

- All Implemented Interfaces:
    Serializable

      public class TransformationLayerArchitecture
      extends LayerArchitecture

  Class encapsulation architecture of transformation layer (i.e. non-input layer).
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformationLayerArchitecture(int neuronsCnt, boolean hasBias, IgniteDifferentiableDoubleToDoubleFunction activationFunction)` Construct TransformationLayerArchitecture.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IgniteDifferentiableDoubleToDoubleFunction` | `activationFunction()` Get activation function for this layer.
    `boolean` | `hasBias()` Checks if this layer has a bias.

    - ### Methods inherited from class org.apache.ignite.ml.nn.architecture.LayerArchitecture

      `neuronsCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformationLayerArchitecture

          public TransformationLayerArchitecture(int neuronsCnt,
                                                 boolean hasBias,
                                                 IgniteDifferentiableDoubleToDoubleFunction activationFunction)

      Construct TransformationLayerArchitecture.
      Parameters:
        `neuronsCnt` - Count of neurons in this layer.
        `hasBias` - Flag indicating presence of bias in layer.
        `activationFunction` - Activation function for layer.

  - ### Method Detail

    - #### hasBias

          public boolean hasBias()

      Checks if this layer has a bias.
      Returns:
        Value of predicate "this layer has a bias".

    - #### activationFunction

          public IgniteDifferentiableDoubleToDoubleFunction activationFunction()

      Get activation function for this layer.
      Returns:
        Activation function for this layer.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023